LIBJXL

Loading...
Searching...
No Matches
Public Attributes | List of all members
JxlCmsInterface Struct Reference
JPEG XL library (libjxl) » Color encoding and conversion

`#include <cms_interface.h>`

Collaboration diagram for JxlCmsInterface:
[legend]

## Public Attributes
void * | set_fields_data
jpegxl_cms_set_fields_from_icc_func | set_fields_from_icc
void * | init_data
jpegxl_cms_init_func | init
jpegxl_cms_get_buffer_func | get_src_buf
jpegxl_cms_get_buffer_func | get_dst_buf
jpegxl_cms_run_func | run
jpegxl_cms_destroy_func | destroy

## Detailed Description

Interface for performing colorspace transforms. The `init` function can be called several times to instantiate several transforms, including before other transforms have been destroyed.

The call sequence for a given colorspace transform could look like the following:

## Member Data Documentation

## ◆ destroy

jpegxl_cms_destroy_func JxlCmsInterface::destroy

Cleans up the transform.

## ◆ get_dst_buf

jpegxl_cms_get_buffer_func JxlCmsInterface::get_dst_buf

Returns a buffer that can be used as output from `run`.

## ◆ get_src_buf

jpegxl_cms_get_buffer_func JxlCmsInterface::get_src_buf

Returns a buffer that can be used as input to `run`.

## ◆ init

jpegxl_cms_init_func JxlCmsInterface::init

Prepares a colorspace transform as described in the documentation of jpegxl_cms_init_func.

## ◆ init_data

void* JxlCmsInterface::init_data

CMS-specific data that will be passed to init.

## ◆ run

jpegxl_cms_run_func JxlCmsInterface::run

Executes the transform on a batch of pixels, per jpegxl_cms_run_func.

## ◆ set_fields_data

void* JxlCmsInterface::set_fields_data

CMS-specific data that will be passed to set_fields_from_icc.

## ◆ set_fields_from_icc

jpegxl_cms_set_fields_from_icc_func JxlCmsInterface::set_fields_from_icc

Populates a JxlColorEncoding from an ICC profile.

The documentation for this struct was generated from the following file:

- jxl/cms_interface.h